kr.co.hanwha.hifive.data.model

## Class NotificationData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.NotificationData

    public class NotificationData
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`java.lang.String` `db_code`
`java.lang.String` `group_id`
`java.lang.String` `message`
`java.lang.String` `title`
`java.lang.String` `type`
`java.lang.String` `value1`
`java.lang.String` `value2`
`java.lang.String` `value3`

### Constructor Summary

Constructors
Constructor and Description
`NotificationData()`
`NotificationData(java.lang.String group_id, java.lang.String title, java.lang.String message, java.lang.String type, java.lang.String value1, java.lang.String value2, java.lang.String value3, java.lang.String db_code)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDb_code()`
`java.lang.String` `getGroup_id()`
`int` `getIntDb_code()`
`java.lang.String` `getMessage()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`java.lang.String` `getValue1()`
`java.lang.String` `getValue2()`
`java.lang.String` `getValue3()`
`void` `setDb_code(java.lang.String db_code)`
`void` `setGroup_id(java.lang.String group_id)`
`void` `setMessage(java.lang.String message)`
`void` `setTitle(java.lang.String title)`
`void` `setType(java.lang.String type)`
`void` `setValue1(java.lang.String value1)`
`void` `setValue2(java.lang.String value2)`
`void` `setValue3(java.lang.String value3)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### group_id

    public java.lang.String group_id

#### title

    public java.lang.String title

#### message

    public java.lang.String message

#### type

    public java.lang.String type

#### value1

    public java.lang.String value1

#### value2

    public java.lang.String value2

#### value3

    public java.lang.String value3

#### db_code

    public java.lang.String db_code

### Constructor Detail

#### NotificationData

    public NotificationData()

#### NotificationData

    public NotificationData(java.lang.String group_id,
                            java.lang.String title,
                            java.lang.String message,
                            java.lang.String type,
                            java.lang.String value1,
                            java.lang.String value2,
                            java.lang.String value3,
                            java.lang.String db_code)

### Method Detail

#### getGroup_id

    public java.lang.String getGroup_id()

#### setGroup_id

    public void setGroup_id(java.lang.String group_id)

#### getTitle

    public java.lang.String getTitle()

#### setTitle

    public void setTitle(java.lang.String title)

#### getMessage

    public java.lang.String getMessage()

#### setMessage

    public void setMessage(java.lang.String message)

#### getType

    public java.lang.String getType()

#### setType

    public void setType(java.lang.String type)

#### getValue1

    public java.lang.String getValue1()

#### setValue1

    public void setValue1(java.lang.String value1)

#### getValue2

    public java.lang.String getValue2()

#### setValue2

    public void setValue2(java.lang.String value2)

#### getValue3

    public java.lang.String getValue3()

#### setValue3

    public void setValue3(java.lang.String value3)

#### getDb_code

    public java.lang.String getDb_code()

#### getIntDb_code

    public int getIntDb_code()

#### setDb_code

    public void setDb_code(java.lang.String db_code)